AFPExtensionAttachment (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.afp.extensions

## Class AFPExtensionAttachment

- java.lang.Object
- - org.apache.fop.render.afp.extensions.AFPExtensionAttachment

- All Implemented Interfaces:
    java.io.Serializable, ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable
  Direct Known Subclasses:
    AFPIncludeFormMap, AFPInvokeMediumMap, AFPPageOverlay, AFPPageSetup

      public abstract class AFPExtensionAttachment
      extends java.lang.Object
      implements ExtensionAttachment, java.io.Serializable, org.apache.xmlgraphics.util.XMLizable

  This is the pass-through value object for the AFP extension.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `ATT_NAME` name attribute
    `static java.lang.String` | `CATEGORY` The category URI for this extension attachment.
    `protected java.lang.String` | `elementName` the extension element name
    `protected java.lang.String` | `name` the extension name attribute

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPExtensionAttachment(java.lang.String elementName)` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCategory()` This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.
    `java.lang.String` | `getElementName()`
    `java.lang.String` | `getName()`
    `protected boolean` | `hasName()`
    `void` | `setName(java.lang.String name)` Sets the name of the setup code object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlgraphics.util.XMLizable

      `toSAX`

- - ### Field Detail

    - #### CATEGORY

          public static final java.lang.String CATEGORY

      The category URI for this extension attachment.
      See Also:
        Constant Field Values

    - #### ATT_NAME

          protected static final java.lang.String ATT_NAME

      name attribute
      See Also:
        Constant Field Values

    - #### elementName

          protected java.lang.String elementName

      the extension element name

    - #### name

          protected java.lang.String name

      the extension name attribute

  - ### Constructor Detail

    - #### AFPExtensionAttachment

          public AFPExtensionAttachment(java.lang.String elementName)

      Default constructor.
      Parameters:
        `elementName` - the name of the afp extension attachment, may be null

  - ### Method Detail

    - #### getElementName

          public java.lang.String getElementName()

      Returns:
        the name

    - #### hasName

          protected boolean hasName()

      Returns:
        true if this element has a name attribute

    - #### getName

          public java.lang.String getName()

      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name of the setup code object.
      Parameters:
        `name` - The name to set.

    - #### getCategory

          public java.lang.String getCategory()

      This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.
      Specified by:
        `getCategory` in interface `ExtensionAttachment`
      Returns:
        the category URI

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.